<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="signup"
            type="com.gumbira.application.gumbiratour.view.ui.SignUpActivity" />
    </data>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1">


                    <ImageView
                        android:id="@+id/register_banner"
                        android:layout_width="match_parent"
                        android:layout_height="fill_parent"
                        android:adjustViewBounds="true"
                        android:scaleType="centerCrop"
                        android:src="@drawable/gedungsate" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="fill_parent"
                        android:background="@drawable/img_gradient" />

                </FrameLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1" />
            </LinearLayout>


            <android.support.design.widget.AppBarLayout
                android:id="@+id/app_bar_signup"
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize"
                android:background="@android:color/transparent"
                app:elevation="0dp"
                app:theme="@style/ThemeOverlay.AppCompat.ActionBar">

                <android.support.v7.widget.Toolbar
                    android:id="@+id/toolbar_signup"
                    android:background="@android:color/transparent"
                    style="@style/Base.ThemeOverlay.AppCompat.Dark"
                    android:layout_width="match_parent"
                    android:layout_height="?attr/actionBarSize"
                    app:layout_collapseMode="pin" />
            </android.support.design.widget.AppBarLayout>

            <ScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@id/app_bar_signup">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginLeft="16dp"
                    android:layout_marginRight="16dp"
                    android:layout_marginTop="40dp"
                    android:background="@drawable/city_corner"
                    android:elevation="4dp"
                    android:orientation="vertical"
                    android:padding="16dp">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="8dp"
                        android:gravity="center"
                        android:text="@string/register_sign_up_txt"
                        android:textColor="@color/Black"
                        android:textSize="20dp" />

                    <android.support.design.widget.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <android.support.design.widget.TextInputEditText
                            android:id="@+id/signup_username"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginTop="15dp"
                            android:hint="@string/register_username_hint"
                            android:padding="8dp" />
                    </android.support.design.widget.TextInputLayout>

                    <android.support.design.widget.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <android.support.design.widget.TextInputEditText
                            android:id="@+id/signup_email"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginTop="12dp"
                            android:hint="@string/login_email_hint"
                            android:padding="8dp" />
                    </android.support.design.widget.TextInputLayout>

                    <android.support.design.widget.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:passwordToggleDrawable="@drawable/ic_visibility_black_24dp"
                        app:passwordToggleEnabled="true">

                        <android.support.design.widget.TextInputEditText
                            android:id="@+id/signup_password"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginTop="12dp"
                            android:hint="@string/login_password_hint"
                            android:inputType="textPassword"
                            android:padding="8dp" />
                    </android.support.design.widget.TextInputLayout>
                    <!--<EditText-->
                    <!--android:id="@+id/signup_Vpassword"-->
                    <!--android:layout_width="match_parent"-->
                    <!--android:layout_height="match_parent"-->
                    <!--android:layout_marginTop="12dp"-->
                    <!--android:drawableLeft="@drawable/register_lock"-->
                    <!--android:hint="@string/login_vpassword_hint"-->
                    <!--android:padding="8dp" />-->

                    <Button
                        android:id="@+id/signup_btnSignup"
                        android:layout_width="260dp"
                        android:layout_height="45dp"
                        android:layout_gravity="center"
                        android:layout_marginBottom="10dp"
                        android:layout_marginTop="24dp"
                        android:background="@drawable/button_corner"
                        android:text="@string/register_sign_up_txt"
                        android:textColor="@color/colorWhite" />
                </LinearLayout>
            </ScrollView>
        </RelativeLayout>
    </FrameLayout>
</layout>